<?php
defined('BASEPATH') OR exit('No direct script access allowed');

/**
 * Upload File model class
 */

class Upload_file_model extends MY_Model
{

    /**
     * 테이블명
     */
    public $_table = 'upload_file';

    /**
     * 사용되는 테이블의 프라이머리키
     */
    public $primary_key = 'ufi_id'; // 사용되는 테이블의 프라이머리키

    function __construct()
    {
        parent::__construct();
    }

	public function get_files($origin_table = '', $origin_id = '')
	{
		$this->db->where('origin_table', $origin_table);
		$this->db->where('origin_id', $origin_id);
		$this->db->order_by('ufi_id');
		$qry = $this->db->get($this->_table);
		$result = $qry->result_array();
		return $result;
	}

}
